package cn.iocoder.yudao.module.mes.dal.mysql.zjproduct;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.paigongrecord.PaigongRecordDO;
import cn.iocoder.yudao.module.mes.dal.dataobject.zjproduct.ZjProductDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.mes.controller.admin.zjproduct.vo.*;

/**
 * 质量管理-质检参数 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface ZjProductMapper extends BaseMapperX<ZjProductDO> {

    default PageResult<ZjProductDO> selectPage(ZjProductPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ZjProductDO>()
                .eqIfPresent(ZjProductDO::getProductId, reqVO.getProductId())
                .eqIfPresent(ZjProductDO::getType, reqVO.getType())
                .likeIfPresent(ZjProductDO::getName, reqVO.getName())
                .eqIfPresent(ZjProductDO::getUnit, reqVO.getUnit())
                .eqIfPresent(ZjProductDO::getUpperVal, reqVO.getUpperVal())
                .eqIfPresent(ZjProductDO::getLowerVal, reqVO.getLowerVal())
                .eqIfPresent(ZjProductDO::getRemark, reqVO.getRemark())
                .betweenIfPresent(ZjProductDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(ZjProductDO::getId));
    }
    default List<ZjProductDO> selectListByProductId(Long productId) {
        return selectList(ZjProductDO::getProductId, productId);
    }

}